Subject: bug#44862:

From: Tomás Ortín <[email-masked]>
Date: Fri, 27 Nov 2020 07:24:00 +0000

I've been experiencing the same since I started using Guix some months ago. In my experience, this happens only with manually added shortcuts, it seems XFCE links directly to the store in that case. It can be fixed manually, although I agree it would be nice if it wasn't necessary.

In case znavko finds it helpful here's a manual workaround: to fix the shortcut for 'foo', run 'which foo' and copy the path (it should be to the profile instead of to the store). Then right click on the shortcut for 'foo'', click on "edit" and replace the old path to the store with the path to the profile.

Hope it helps!

Tomás